Get All Roles

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

roles = fulcrum.roles.search()

for role in roles['roles']:
  print(role) # entire role
  # print(roles['name']) # just the role name
import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
  apiKey: '{token}',
  // Use the region configured for your Fulcrum account.
  region: FulcrumRegion.US
});

client.roles.getAll()
  .then((response) => {
    console.log(response.data);
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')
roles = client.roles.all()

for role in roles.objects do
  # puts role # entire role definition
  puts role['id'] # just the role id
end
Query Params
int32
Defaults to 1

The page number requested

int32
Defaults to 20000

Number of items per page

string

Sort by role name. Default sort is by updated_at if sort is not provided

string
Defaults to asc

The sort direction (asc, desc). Default is asc

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json